
%define api 0.1
%define major 4
%define libname %mklibname usb-compat %api %major
%define devellibname %mklibname -d usb-compat %api
%define sdevellibname %mklibname -s -d usb-compat %api

%define oldlibusb_version 0.1.12-14

Summary: A library which allows userspace access to USB devices
Name: libusb-compat
Version: 0.1.3
Release: %mkrel 4
Source0: http://downloads.sourceforge.net/libusb/libusb-compat-0.1/libusb-compat-0.1.0/%name-%{version}.tar.bz2
License: LGPLv2+
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-
URL: http://libusb.wiki.sourceforge.net/Libusb1.0
BuildRequires: doxygen 
BuildRequires: usb1-devel

%description
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %libname
Summary: %summary
Group:	System/Libraries
Provides: %{_lib}usb0.1_4 = %oldlibusb_version
Obsoletes: %{_lib}usb0.1_4 < %oldlibusb_version
# old provides from libusb0.1_4
Provides: libusb = %oldlibusb_version
Provides: libusb0.1 = %oldlibusb_version

%description -n %libname
A compatibility layer allowing applications written for libusb-0.1 to work
with libusb-1.0. libusb-compat-0.1 attempts to look, feel, smell and walk
like libusb-0.1.

%package -n %devellibname
Summary: Development files for libusb-0.1
Group:	Development/C
Requires: %{libname} = %{version}
Provides: %{_lib}usb-devel = %oldlibusb_version
Obsoletes: %{_lib}usb-devel < %oldlibusb_version
Obsoletes: %{_lib}usb0.1_4-devel < %oldlibusb_version
Provides: libusb-devel = %oldlibusb_version
Provides: libusb0.1-devel = %oldlibusb_version
Provides: usb-compat-devel = %{version}-%{release}
Provides: usb0.1-devel = %{version}-%{release}

%description -n %devellibname
This package contains the header files, libraries  and documentation needed to
develop applications that use libusb-0.1.

%package -n %sdevellibname
Summary: Static development files for libusb-0.1
Group:	Development/C
Requires: %{devellibname} = %{version}
Provides: libusb-static-devel = %oldlibusb_version
Provides: libusb0.1-static-devel = %oldlibusb_version
Obsoletes: %{_lib}usb-static-devel < %oldlibusb_version
Obsoletes: %{_lib}usb1.0_4-static-devel < %oldlibusb_version

%description -n %sdevellibname
This package contains static libraries to develop applications that use
libusb0.

%prep
%setup -q

%build
%configure2_5x \
	--libdir=/%_lib

%make

%install
rm -rf %buildroot
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

# static library is not needed in /lib
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/libusb.a %{buildroot}%{_libdir}
# add a symlink just in case libtool expects it to be there due to it
# being referenced in the .la file
ln -s %{_libdir}/libusb.a %{buildroot}/%{_lib}/libusb.a
# move pkgconfig
mv %buildroot/%_lib/pkgconfig %buildroot/%_libdir/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
/%{_lib}/libusb-%{api}.so.%{major}*

%files -n %devellibname
%defattr(-,root,root)
%doc examples/*.c
%{_libdir}/pkgconfig/libusb.pc
%{_includedir}/usb.h
/%_lib/libusb.so
/%_lib/libusb.la
%{multiarch_bindir}/libusb-config
%_bindir/libusb-config

%files -n %sdevellibname
%defattr(-,root,root)
/%_lib/libusb.a
%{_libdir}/libusb.a







%changelog
* Tue Jan 11 2011 pterjan <pterjan> 0.1.3-4.mga1
+ Revision: 6480
- Drop some Obsoletes related to a past version in cooker
- imported package libusb-compat


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdv2011.0
+ Revision: 602610
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdv2010.1
+ Revision: 520920
- rebuilt for 2010.1

* Fri Sep 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-2mdv2010.0
+ Revision: 444268
- Remove explicit Requires: on pkgconfig, it's automatically added when needed

* Tue Sep 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-1mdv2010.0
+ Revision: 443014
- update to latest upstream release

* Fri Sep 11 2009 Anssi Hannula <anssi@mandriva.org> 0.1.0-6mdv2010.0
+ Revision: 438530
- use correct major and api
- ensure major correctness in file lists
- fix obsoletes on old libusb packages
- remove duplicate provides and add some missing ones
- small clarifications in summaries and descriptions
- use makeinstall_std
- multiarchify libusb-config
- move static library back to /usr/lib, while keeping a symlink in /lib

* Fri Sep 04 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-5mdv2010.0
+ Revision: 431071
- Moving libraries by hand make symlink broken. We still need those .la files for some applications
  configure now install properly libs in %%_lib and updates both .la and pkgconfig files correctly

* Thu Sep 03 2009 Helio Chissini de Castro <helio@mandriva.com> 0.1.0-4mdv2010.0
+ Revision: 429006
- Last missing provides. Now get smooth upgrade
- Provides proper entry for x86_64
- Need provides a generic libusb-devel too

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 0.1.0-2mdv2010.0
+ Revision: 428790
- enable to upgrade usb-devel to usb-compat-devel
- import libusb-compat


* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-1mdv2010.0
- initial release
